---
layout: release
date: 2022-07-20
tag: v0.6.0-rc.6c
---

## What's New
## 🔤 General
- [Fix] WS connection hijacking issue @sudo-NithishKarthik (#5844)
- Keep the type of the services to be same. @Aisuko (#5841)
- Add k8s middleware to filter handler @Revolyssup (#5797)
- [CI] Update description for mesheryctl homebrew tap @nishantwrp (#5784)
- state fixed For docker extension @harkiratsm (#5781)
- Fix contradicting fields in k8s registered schema @Revolyssup (#5777)
- Changed the order of image  @harkiratsm (#5763)
- refactor: Do not purge the database @sudo-NithishKarthik (#5753)
- fix: Add essential middlewares for extension endpoints @sudo-NithishKarthik (#5751)
- Upgrade k8s.io to 0.24 @Revolyssup (#5639)
- fixed the upload of image for docker extension @harkiratsm (#5748)
- fix: CustomResourceDefintions ref resolve @sudo-NithishKarthik (#5744)
- [Chore] Update meshkit release and kompose conversion logic @sudo-NithishKarthik (#5719)
- docker extension empty state fixed  @harkiratsm (#5684)
- Remove extranous log including cert data  @Revolyssup (#5698)
- Fixed logout buton alignment in meshery extension @Rohith-Raju (#5685)
- [Refactor] Make use of validation and formatting functions exposed in Meshkit @sudo-NithishKarthik (#5650)
- [DDE] Refactor ws channels  in proxy @sudo-NithishKarthik (#5648)
- refactor: Refine ws connection for logout @sudo-NithishKarthik (#5647)
- Fix validation error and whitespacing bug @Revolyssup (#5644)
- Logout button move @warunicorn19 (#5641)
- upgrade meshkit @Revolyssup (#5637)
- [DDE] Fix: dde ws undefined @sudo-NithishKarthik (#5636)
- [DDE] Fix: Set isLogged to false after logging out @sudo-NithishKarthik (#5635)
- [DDE] Fix: automatically change state once logged out @sudo-NithishKarthik (#5634)
- fixed issue with logo before login and added logout button @warunicorn19 (#5630)
- [Server] Fix error code conflicts @gr455 (#5626)
- Allow provider to be set via query parameter @sudo-NithishKarthik (#5627)
- Fix failing save context for incluster @Revolyssup (#5601)
- [dde] UI Change to adapt to the exposed server version @sudo-NithishKarthik (#5596)
- fix: Service mesh provisioning @sudo-NithishKarthik (#5595)
- exposed meshery server version in dde @warunicorn19 (#5591)
- Fix panic @Revolyssup (#5593)
- Fix NATS connectivity test @MUzairS15 (#5583)

## 🚀 Features

- Fix capture and handle expired token  @MUzairS15 (#4956)

## ⌨️ Meshery CLI

- [mesheryctl] Fix `app onboard` silent fail @gr455 (#5679)
- chore(deps): Bump github.com/spf13/cobra from 1.4.0 to 1.5.0 @dependabot (#5729)

## 🖥 Meshery UI

- fix[UI]: change the color and contents for reset data @bhavyastar (#5847)
- [UI] consistent width between all the items in ctxswitcher @Abhishek-kumar09 (#5838)
- fix(ui): whitespace in context switcher @nishantwrp (#5830)
- Disable un/deploy operation when no contexts detected. @MUzairS15 (#5806)
- Bump moment from 2.29.2 to 2.29.4 in /ui @dependabot (#5814)
- [Dependency] UI: update graphql  package to ^16.5.0 @leecalcote (#5803)
- [UI]Background Color of Setting nav in design configurator changed @Harshit-Dandriyal (#5820)
- Fix application import @MUzairS15 (#5808)
- [UI] "Undeploy" checkmark color has changed @subhradwip01 (#5789)
- [UI]Name and namefield text field backColor opacity change @Harshit-Dandriyal (#5799)
- [e2e test] Filter deploy fix after Modal operations @Abhishek-kumar09 (#5794)
- Fix capture and handle expired token  @MUzairS15 (#4956)
- Fix version issue in pattern configurator @Abhishek-kumar09 (#5793)
- [UI] Make UI consistent @MUzairS15 (#5765)
- [UI] Update confiratmion modal title background color @Chadha93 (#5779)
- [UI] Delete and Update bug fix for applications @Chadha93 (#5761)
- [Refactor] Add `transformErrors` as a prop to be overridden @sudo-NithishKarthik (#5758)
- chore(deps): Bump next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5737)
- chore(deps): Bump react-moment from 1.1.1 to 1.1.2 in /ui @dependabot (#5740)
- chore(deps): Bump react-jss from 10.7.1 to 10.9.0 in /ui @dependabot (#5732)
- chore(deps): Bump relay-runtime from 13.2.0 to 14.0.0 in /ui @dependabot (#5736)
- chore(deps-dev): Bump cypress from 10.0.3 to 10.3.0 in /provider-ui @dependabot (#5756)
- chore(deps): Bump redux from 4.1.0 to 4.2.0 in /ui @dependabot (#5734)
- chore(deps-dev): Bump eslint-config-next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5741)
- Invalidates image import as kubeconfig file @Santosh1176 (#5750)
- chore(deps-dev): Bump eslint-plugin-react from 7.30.0 to 7.30.1 in /provider-ui @dependabot (#5725)
- chore(deps): Bump @material-ui/icons from 4.11.2 to 4.11.3 in /ui @dependabot (#5727)
- chore(deps-dev): Bump nodemon from 2.0.16 to 2.0.18 in /provider-ui @dependabot (#5726)
- chore(deps-dev): Bump @babel/types from 7.17.0 to 7.18.7 in /ui @dependabot (#5735)
- [Refactor] Improve Meshsync data handling, controllers handling and GraphQL @sudo-NithishKarthik (#5680)
- persistant tooltip | CU-2h755kq @warunicorn19 (#5718)
- Add modal in Filter page (Table view) @MUzairS15 (#5716)
- [UI] Import modal close bug fix @Chadha93 (#5712)
- Update Modal @MUzairS15 (#5678)
- [Cypress] Fix Failing e2e and integration tests in Meshery @Abhishek-kumar09 (#5702)
- [Fix/UI] Context Switcher Ping Not working @Abhishek-kumar09 (#5706)
- [UI] Remove frontend formatting (RJSF) @theBeginner86 (#5700)
- [UI] Applications Grid View @Chadha93 (#5710)
- [UI] Swaped the position of two buttons- Upload K8's config @Rohith-Raju (#5696)
- Responsive Settings page @MUzairS15 (#5699)
- [UI] Filters Grid View @Chadha93 (#5652)
- Add modal for application deployment @MUzairS15 (#5701)
- Mark data-cy for navigator Extensions @Abhishek-kumar09 (#5690)
- Refactoring operator subscription @Revolyssup (#5657)
- fix ui crash on smi conformance @warunicorn19 (#5688)
- leecalcote/chore/ui deps @leecalcote (#5674)
- Make table style consistent @MUzairS15 (#5671)
- Changes to the un-deploy icon @asubedy (#5670)
- reverted bad commits @Abhishek-kumar09 (#5665)
- [Refactor] Update the RJSF form to be overridden by its consumers @sudo-NithishKarthik (#5659)
- [Operator Subscription] Fix state variables showing outdated results in callback Fn @Abhishek-kumar09 (#5656)
- minor ui fixes @warunicorn19 (#5655)
- [Extension] Support for Account Extension @theBeginner86 (#5615)
- [Build Failure] [object Object] is not a PostCSS plugin @Abhishek-kumar09 (#5653)
- Meshery-Settings: Enable Subscriptions and fix problems with settings page @Abhishek-kumar09 (#5645)
- [UI]Changed cursor to pointer @Rohith-Raju (#5632)
- Add operator status query @MUzairS15 (#5633)
- [UI] Undeploy card view button color update @Chadha93 (#5640)
- [UI] Support for Undeploy Pattern and Applications @Chadha93 (#5617)
- Fix problems with context-switching operation from Header @Abhishek-kumar09 (#5625)
- Fix: Metrics components not showing up in dashboard @Abhishek-kumar09 (#5624)
- Fix Event Streams in Meshery Notification Center @Abhishek-kumar09 (#5621)
- lifecycle minor bug fix with no adapter @Abhishek-kumar09 (#5620)
- Bug fixes @MUzairS15 (#5611)
- [Fix] Lifecylce Page Fixes @Abhishek-kumar09 (#5614)
- Bump eslint-plugin-react from 7.29.4 to 7.30.0 in /provider-ui @dependabot (#5580)
- Improve UI @MUzairS15 (#5602)
- Bump @babel/eslint-parser from 7.17.0 to 7.18.2 in /ui @dependabot (#5555)
- Multi context refactor @Revolyssup (#5528)
- Ci/marioarriaga92/5592 fix cypress v10 legacy config file error @MarioArriaga92 (#5597)
- [UI] Pattern file bug fixes @Chadha93 (#5587)
- [UI] Settings button style fix for lifecycle @Chadha93 (#5588)
- material-ui/core from 4.12.3 to 4.12.4 @Harshit-Dandriyal (#5585)

## 🔋 Patterns, Filters, Applications

- Fix improper k8s to pattern conversion @Revolyssup (#5804)
- Add support for importing helm chart via URL on application page @Revolyssup (#5692)
- Fix application import @MUzairS15 (#5808)
- Fix version issue in pattern configurator @Abhishek-kumar09 (#5793)
- Fixed #5757 and empty application bug @Revolyssup (#5759)
- [UI] Delete and Update bug fix for applications @Chadha93 (#5761)
- Add version to component @Revolyssup (#5745)
- [UI] Applications Grid View @Chadha93 (#5710)
- [UI] Filters Grid View @Chadha93 (#5652)
- [UI] Undeploy card view button color update @Chadha93 (#5640)
- [UI] Support for Undeploy Pattern and Applications @Chadha93 (#5617)
- [UI] Pattern file bug fixes @Chadha93 (#5587)

## 🐛 Bug Fixes

- [Bug] Fix Panic on Hard Reset @theBeginner86 (#5817)

## 🧰 Maintenance

- [CI] Add global GIT_STRIPPED_VERSION @leecalcote (#5826)
- Bump moment from 2.29.2 to 2.29.4 in /ui @dependabot (#5814)
- Upgrade meshkit @Revolyssup (#5807)
- chore(deps): Bump github.com/spf13/cobra from 1.4.0 to 1.5.0 @dependabot (#5729)
- chore(deps): Bump next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5737)
- chore(deps): Bump react-moment from 1.1.1 to 1.1.2 in /ui @dependabot (#5740)
- chore(deps): Bump react-jss from 10.7.1 to 10.9.0 in /ui @dependabot (#5732)
- chore(deps): Bump relay-runtime from 13.2.0 to 14.0.0 in /ui @dependabot (#5736)
- chore(deps-dev): Bump cypress from 10.0.3 to 10.3.0 in /provider-ui @dependabot (#5756)
- chore(deps): Bump redux from 4.1.0 to 4.2.0 in /ui @dependabot (#5734)
- chore(deps-dev): Bump eslint-config-next from 12.1.6 to 12.2.0 in /provider-ui @dependabot (#5741)
- [Server] Lint Fix @gr455 (#5743)
- chore(deps-dev): Bump eslint-plugin-react from 7.30.0 to 7.30.1 in /provider-ui @dependabot (#5725)
- chore(deps): Bump github.com/prometheus/common from 0.34.0 to 0.35.0 @dependabot (#5728)
- chore(deps): Bump @material-ui/icons from 4.11.2 to 4.11.3 in /ui @dependabot (#5727)
- chore(deps-dev): Bump nodemon from 2.0.16 to 2.0.18 in /provider-ui @dependabot (#5726)
- chore(deps-dev): Bump @babel/types from 7.17.0 to 7.18.7 in /ui @dependabot (#5735)
- [Cypress] Fix Failing e2e and integration tests in Meshery @Abhishek-kumar09 (#5702)
- [CI] Chore: Docker image upgrade to lts-latest @leecalcote (#5673)
- Bump github.com/99designs/gqlgen from 0.17.5 to 0.17.10 @dependabot (#5638)
- [Chore] Upgrade Dependencies @sudo-NithishKarthik (#5651)
- Fix golangci-lint failures @haanhvu (#5612)
- Bump eslint-plugin-react from 7.29.4 to 7.30.0 in /provider-ui @dependabot (#5580)
- [Lifecycle] Remove CPX from default config @leecalcote (#5604)
- Bump @babel/eslint-parser from 7.17.0 to 7.18.2 in /ui @dependabot (#5555)
- Bump google.golang.org/grpc from 1.46.0 to 1.47.0 @dependabot (#5560)

## 📖 Documentation

- docs: fix ui lint commands in contributing.md @nishantwrp (#5829)
- fixed the repetition in table of contents @manikmmalhotra (#5809)
- Added meshery broader capability  @harkiratsm (#5805)
- fixed the command from layer5io/tap to meshery/tap @manikmmalhotra (#5810)
- Fixed Typos in architecture.md  @bishal7679 (#5792)
- Missing a "git" in the command in docs/readme @manikmmalhotra (#5780)
- Highlight current tab on scroll in table of content in navigation @manikmmalhotra (#5762)
- [Docs] Add KubeSphere App Store as a supported platform for Meshery @codrAlxx (#5717)
- Fixed broken link @arunkarthicknm (#5724)
- Removed extra "your" from docs @i-am-yuvi (#5708)
- [Extension] Support for Account Extension @theBeginner86 (#5615)
- [Docs] Additional guides/troubleshoot installation links in quickstart @abhiyant-10 (#5646)
- [Doc] Add troubleshooting steps for Service Mesh installation @MUzairS15 (#5616)

## 🔒 Security

- Fix capture and handle expired token  @MUzairS15 (#4956)
- [CI] Chore: Docker image upgrade to lts-latest @leecalcote (#5673)
- leecalcote/chore/ui deps @leecalcote (#5674)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Aisuko, @Chadha93, @Harshit-Dandriyal, @MUzairS15, @MarioArriaga92, @Revolyssup, @Rohith-Raju, @Santosh1176, @abhiyant-10, @arunkarthicknm, @asubedy, @bhavyastar, @bishal7679, @codrAlxx, @dependabot, @dependabot[bot], @gr455, @haanhvu, @harkiratsm, @i-am-yuvi, @l5io, @leecalcote, @manikmmalhotra, @nishantwrp, @subhradwip01, @sudo-NithishKarthik, @theBeginner86, @warunicorn19, Abhishek Kumar and Nithish
